<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Datastructure: src/stack.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Datastructure
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">stack.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;stdbool.h&gt;</code><br />
</div>
<p><a href="stack_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_stack.html">Stack</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a453f07a53194584fd2e0bb720c814c25"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="stack_8h.html#a453f07a53194584fd2e0bb720c814c25">STACK_MAX_SIZE</a>&#160;&#160;&#160;100</td></tr>
<tr class="separator:a453f07a53194584fd2e0bb720c814c25"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ae9d651d70562e77fa39681ccc4993bbf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="stack_8h.html#ae9d651d70562e77fa39681ccc4993bbf">init_stack</a> (<a class="el" href="struct_stack.html">Stack</a> *s)</td></tr>
<tr class="memdesc:ae9d651d70562e77fa39681ccc4993bbf"><td class="mdescLeft">&#160;</td><td class="mdescRight">initialise d'une pile  <a href="stack_8h.html#ae9d651d70562e77fa39681ccc4993bbf">More...</a><br /></td></tr>
<tr class="separator:ae9d651d70562e77fa39681ccc4993bbf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43347ab7de63ecfb72ee0472db11f27f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="stack_8h.html#a43347ab7de63ecfb72ee0472db11f27f">push_stack</a> (<a class="el" href="struct_stack.html">Stack</a> *s, float value)</td></tr>
<tr class="separator:a43347ab7de63ecfb72ee0472db11f27f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae061732709da8b2f34f5c0fd4ef0ad5d"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="stack_8h.html#ae061732709da8b2f34f5c0fd4ef0ad5d">pop_stack</a> (<a class="el" href="struct_stack.html">Stack</a> *s)</td></tr>
<tr class="separator:ae061732709da8b2f34f5c0fd4ef0ad5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18db937ce50647114171ae4b28676188"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="stack_8h.html#a18db937ce50647114171ae4b28676188">is_stack_empty</a> (<a class="el" href="struct_stack.html">Stack</a> *s)</td></tr>
<tr class="separator:a18db937ce50647114171ae4b28676188"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7cb25b94bcf7fd9acb9fbb0d029a27c"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="stack_8h.html#ae7cb25b94bcf7fd9acb9fbb0d029a27c">peek_stack</a> (<a class="el" href="struct_stack.html">Stack</a> *s)</td></tr>
<tr class="separator:ae7cb25b94bcf7fd9acb9fbb0d029a27c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5df3fde62e5dca9a0e26ad20fe3261f3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="stack_8h.html#a5df3fde62e5dca9a0e26ad20fe3261f3">dup</a> (<a class="el" href="struct_stack.html">Stack</a> *s)</td></tr>
<tr class="separator:a5df3fde62e5dca9a0e26ad20fe3261f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa27246b3c1dec5924712f4bc1f325621"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="stack_8h.html#aa27246b3c1dec5924712f4bc1f325621">swap</a> (<a class="el" href="struct_stack.html">Stack</a> *s)</td></tr>
<tr class="separator:aa27246b3c1dec5924712f4bc1f325621"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1713843976589f81f2d46bb02f92bb9d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="stack_8h.html#a1713843976589f81f2d46bb02f92bb9d">clear</a> (<a class="el" href="struct_stack.html">Stack</a> *s)</td></tr>
<tr class="separator:a1713843976589f81f2d46bb02f92bb9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="a453f07a53194584fd2e0bb720c814c25"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a453f07a53194584fd2e0bb720c814c25">&#9670;&nbsp;</a></span>STACK_MAX_SIZE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define STACK_MAX_SIZE&#160;&#160;&#160;100</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a1713843976589f81f2d46bb02f92bb9d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1713843976589f81f2d46bb02f92bb9d">&#9670;&nbsp;</a></span>clear()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void clear </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_stack.html">Stack</a> *&#160;</td>
          <td class="paramname"><em>s</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5df3fde62e5dca9a0e26ad20fe3261f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5df3fde62e5dca9a0e26ad20fe3261f3">&#9670;&nbsp;</a></span>dup()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void dup </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_stack.html">Stack</a> *&#160;</td>
          <td class="paramname"><em>s</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae9d651d70562e77fa39681ccc4993bbf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae9d651d70562e77fa39681ccc4993bbf">&#9670;&nbsp;</a></span>init_stack()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void init_stack </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_stack.html">Stack</a> *&#160;</td>
          <td class="paramname"><em>s</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>initialise d'une pile </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">s</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a18db937ce50647114171ae4b28676188"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a18db937ce50647114171ae4b28676188">&#9670;&nbsp;</a></span>is_stack_empty()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool is_stack_empty </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_stack.html">Stack</a> *&#160;</td>
          <td class="paramname"><em>s</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae7cb25b94bcf7fd9acb9fbb0d029a27c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae7cb25b94bcf7fd9acb9fbb0d029a27c">&#9670;&nbsp;</a></span>peek_stack()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float peek_stack </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_stack.html">Stack</a> *&#160;</td>
          <td class="paramname"><em>s</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae061732709da8b2f34f5c0fd4ef0ad5d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae061732709da8b2f34f5c0fd4ef0ad5d">&#9670;&nbsp;</a></span>pop_stack()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float pop_stack </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_stack.html">Stack</a> *&#160;</td>
          <td class="paramname"><em>s</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a43347ab7de63ecfb72ee0472db11f27f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a43347ab7de63ecfb72ee0472db11f27f">&#9670;&nbsp;</a></span>push_stack()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void push_stack </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_stack.html">Stack</a> *&#160;</td>
          <td class="paramname"><em>s</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa27246b3c1dec5924712f4bc1f325621"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa27246b3c1dec5924712f4bc1f325621">&#9670;&nbsp;</a></span>swap()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void swap </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_stack.html">Stack</a> *&#160;</td>
          <td class="paramname"><em>s</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
